import * as React from 'react';
import { TextProps, TextStyle, StyleProp } from 'react-native';
import { ITheme } from '../types/ITheme';
import { SpaceType } from '../types/Space';
import { FontSizeType } from '../types/FontSize';
import { LetterSpacingType } from '../types/LetterSpacing';
import { LineHeightType } from '../types/LineHeight';
import { TextDecoType } from '../types/TextDeco';
import { OpacityType } from '../types/OpacityType';
export interface IInjectedProps {
    theme: ITheme;
}
export interface UtilityTextProps extends TextProps {
    style?: StyleProp<TextStyle>;
    border?: number;
    italic?: boolean;
    lineH?: LineHeightType | string | number;
    deco?: TextDecoType;
    o?: OpacityType | number | string;
    center?: boolean;
    left?: boolean;
    right?: boolean;
    color?: string;
    font?: string;
    m?: SpaceType;
    mb?: SpaceType;
    mt?: SpaceType;
    mr?: SpaceType;
    ml?: SpaceType;
    mx?: SpaceType;
    my?: SpaceType;
    p?: SpaceType;
    pb?: SpaceType;
    pt?: SpaceType;
    pr?: SpaceType;
    pl?: SpaceType;
    px?: SpaceType;
    py?: SpaceType;
    ls?: LetterSpacingType | number | string;
    size?: FontSizeType | string | number;
    uppercase?: boolean;
    lowercase?: boolean;
    capitalize?: boolean;
    capitalizeEach?: boolean;
    thousand?: boolean;
    bold?: boolean;
    light?: boolean;
    normal?: boolean;
    weight?: string;
}
declare const _default: {
    new (props: Readonly<UtilityTextProps>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<UtilityTextProps>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<UtilityTextProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<UtilityTextProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<UtilityTextProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<UtilityTextProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<UtilityTextProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: UtilityTextProps, context?: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<UtilityTextProps>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<UtilityTextProps> & Readonly<{
            children?: React.ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: React.ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<UtilityTextProps>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<UtilityTextProps>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<UtilityTextProps>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<UtilityTextProps>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<UtilityTextProps>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    contextType?: React.Context<any> | undefined;
};
export default _default;
