export namespace theme {
    export namespace text {
        export namespace size {
            export const sm: number;
            export const base: number;
            export const md: number;
            export const lg: number;
            export const xl: number;
        }
        export namespace weight {
            export const light: string;
            export const normal: string;
            export const bold: string;
        }
        export namespace spacing {
            export const tight: number;
            const normal_1: number;
            export { normal_1 as normal };
            export const wide: number;
        }
        export namespace lineHeight {
            export const none: number;
            const tight_1: number;
            export { tight_1 as tight };
            const normal_2: number;
            export { normal_2 as normal };
            export const large: number;
        }
        export namespace fonts {
            const base_1: null;
            export { base_1 as base };
        }
    }
    export { color };
    export namespace space {
        export const xs: number;
        const sm_1: number;
        export { sm_1 as sm };
        const md_1: number;
        export { md_1 as md };
        const lg_1: number;
        export { lg_1 as lg };
        const xl_1: number;
        export { xl_1 as xl };
    }
    export namespace radius {
        const xs_1: number;
        export { xs_1 as xs };
        const sm_2: number;
        export { sm_2 as sm };
        const base_2: number;
        export { base_2 as base };
        const lg_2: number;
        export { lg_2 as lg };
        const xl_2: number;
        export { xl_2 as xl };
    }
    export namespace opacity {
        const none_1: number;
        export { none_1 as none };
        export const low: number;
        export const demi: number;
        export const high: number;
        const base_3: number;
        export { base_3 as base };
    }
    export const shadows: {
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
    }[];
    export const borders: {
        borderWidth: number;
        borderColor: string;
    }[];
    export namespace button {
        export namespace disabled {
            const opacity_1: number;
            export { opacity_1 as opacity };
        }
    }
}
declare namespace color {
    export const black: string;
    export const greyDarkest: string;
    export const greyDarker: string;
    export const greyDark: string;
    export const grey: string;
    export const greyLight: string;
    export const greyLighter: string;
    export const greyLightest: string;
    export const white: string;
    export const redDarkest: string;
    export const redDarker: string;
    export const redDark: string;
    export const red: string;
    export const redLight: string;
    export const redLighter: string;
    export const redLightest: string;
    export const blueDarkest: string;
    export const blueDarker: string;
    export const blueDark: string;
    export const blue: string;
    export const blueLight: string;
    export const blueLighter: string;
    export const blueLightest: string;
    export const purpleDarkest: string;
    export const purpleDarker: string;
    export const purpleDark: string;
    export const purple: string;
    export const purpleLight: string;
    export const purpleLighter: string;
    export const purpleLightest: string;
    export const greenDarkest: string;
    export const greenDarker: string;
    export const greenDark: string;
    export const green: string;
    export const greenLight: string;
    export const greenLighter: string;
    export const greenLightest: string;
}
export {};
